package uam.patrones.builder.principal;

import uam.patrones.builder.clases.Alumno;
import uam.patrones.builder.operaciones.Builder;

public class Principal {

	public static void main(String[] args) {
		
		Builder builder = new Builder();
		builder = builder.matricula("1234");
		builder = builder.nombre("3456");
		
		builder = builder.licenciatura("Licenciatura", "123456");
		builder = builder.uea("987", "Uea 1", 9);
		builder = builder.uea("123", "Uea 2", 6);
		
		Alumno alumno = builder.alumno(builder);
		
		
		System.out.println(alumno.getMatricula()+" "+alumno.getNombre());
		System.out.println(alumno.getLicenciatura().getClave() + " " + 
							alumno.getLicenciatura().getNombre());
		System.out.println(alumno.getListaUea().size());
		
		
		
	}

}
